Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.aalto.sax
Class SAXUtil

    java.lang.Object
      com.fasterxml.aalto.sax.SAXUtil

    public final class SAXUtil

extends Object

Container for utility methods needed by the parser factory, or parser wrapper components.

Method Summary
`static SAXFeature` | `findStdFeature(String featURI)`
`static SAXProperty` | `findStdProperty(String featURI)`
`static Boolean` | `getFixedStdFeatureValue(SAXFeature stdFeat)` Convenience method that will return value (True/False) for the given standard feature, iff it has fixed (immutable) value for the current implementation.
`static void` | `reportUnknownFeature(String name)`
`static void` | `reportUnknownProperty(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findStdFeature

    public static SAXFeature findStdFeature(String featURI)

### findStdProperty

    public static SAXProperty findStdProperty(String featURI)

### getFixedStdFeatureValue

    public static Boolean getFixedStdFeatureValue(SAXFeature stdFeat)

  Convenience method that will return value (True/False) for the given standard feature, iff it has fixed (immutable) value for the current implementation. If value is not immutable, returns null

### reportUnknownFeature

    public static void reportUnknownFeature(String name)
                                     throws SAXNotRecognizedException

  Throws:
    `SAXNotRecognizedException`

### reportUnknownProperty

    public static void reportUnknownProperty(String name)
                                      throws SAXNotRecognizedException

  Throws:
    `SAXNotRecognizedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Fasterxml.com. All Rights Reserved.